package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

@Table("resource_protocol")
public class ResourceProtocol extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("resource_id")
    private Long resourceId; // 资源id
    @IgnoreAll
    @Column("resource_name")
    private String resourceName; // 资源名称
    @Column("protocol")
    private String protocol; // 协议
    @Column("port")
    private Integer port; // 端口
    @Column("edit_vnc_password")
    private Boolean editVncPassword;
    @Column("has_vnc_password")
    private Boolean hasVncPassword;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public Boolean getEditVncPassword() {
        return editVncPassword;
    }

    public void setEditVncPassword(Boolean editVncPassword) {
        this.editVncPassword = editVncPassword;
    }

    public Boolean getHasVncPassword() {
        return hasVncPassword;
    }

    public void setHasVncPassword(Boolean hasVncPassword) {
        this.hasVncPassword = hasVncPassword;
    }

    public Long getResourceId() {
        return resourceId;
    }

    public void setResourceId(Long resourceId) {
        this.resourceId = resourceId;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }
}
